*23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
*
* A program to change interchange student numbers and names.
*
      program trans
      parameter (nalpha=26)
      character record*80,fmtr*11,issn*9,alphac*26,alphas*26
      data alphac/'ABCDEFGHIJKLMNOPQRSTUVWXYZ'/
      data alphas/'abcdefghijklmnopqrstuvwxyz'/
*
      open(unit=1,file='./ros.txt',status='old')
      open(unit=2,file='./tmp2',status='unknown')
      open(unit=3,file='./tmp3',status='unknown')
*
      itell=0
      read(1,*) 
*
  110 continue
      read(1,'(i4,a76)',end=130) ixsec,record(5:80)
      do 410 i=6,28
      do 420 j=1,nalpha
      if(record(i:i) .eq. alphac(j:j)) record(i:i)=alphas(j:j)
  420 continue
  410 continue
      write(2,*)
      write(2,920) 'YY',record(6:28)
  920 format(a2,28x,a23)
      do 430 i=1,6
      write(2,'(i3)') i 
  430 continue
      if(ixsec .eq. 1) itell=itell+1
      if(itell .eq. 1) then
          write(3,'(12a,23a)') '<option>s08 ',record(6:28)
        else if(itell .eq. 2) then
          write(3,'(12a,23a)') '<option>s09 ',record(6:28)
        else
          write(3,'(12a,23a)') '<option>s10 ',record(6:28)
      end if
      go to 110
  130 continue
*
      close(unit=3)
      close(unit=2)
      close(unit=1)
*
      end
